#include <iostream>
#include <string>
#include <vector>
#include <math.h>



using namespace std;

int main()
{
    int n,m,l,r,x,i,a;
    cin>>n>>m;
    vector<int> j(n);
    vector<int> b(n);
    for(i=0;i<n;i++){
        cin>>b[i]>>j[i];
    }
    vector<int>s;
    while(m>0){
        cin>>l>>r>>x;
        l--;
        r--;
        a=0;
        for(i=l;i<=r;i++){
            if(b[i]<=x && j[i]>=x){
                a++;
            }
        }
        s.push_back(a);
        m--;
    }
    for(i=0;i<s.size();i++){
        cout<<s[i]<<"\n";
    }
}